Bug 988843 - garbled data/system hang on vdpau wmv3/vc-1 video
garbled data/system hang on vdpau wmv3/vc-1 video
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 10:27 EDT by Pierre Ossman
Modified: 2015-02-17 11:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:22:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Ossman 2013-07-26 10:27:04 EDT
Started playing around with VDPAU now that Fedora is starting to get the necessary components. Unfortunately it breaks horribly when I throw WMV3/VC-1 at it. I either get garbled output data, or the system locks up completely.

Tested with mplayer and xbmc.

kernel-3.10.2-301.fc19.x86_64
xbmc-12.2-3.fc19.x86_64
mplayer-1.1-9.20130416svn.fc19.x86_64
mesa-vdpau-drivers-9.2-0.12.20130610.fc19.x86_64
libvdpau-0.6-1.fc19.x86_64
linux-firmware-20130724-27.git31f6b30.fc19.noarch


H264 seems to be working fine though, although I am seeing occasional application lockups.
Comment 1 Nicolas Dufresne 2014-05-17 14:08:09 EDT
It completely freeze for me with latest patches, running on NV84 (F20, mesa 10.1.3, kernel 3.14.3-200).
Comment 2 Nicolas Dufresne 2014-05-17 14:09:25 EDT
Tested with instrcutions from:
http://nouveau.freedesktop.org/wiki/VideoAcceleration/

mplayer -vo vdpau -vc ffmpeg12vdpau,ffwmv3vdpau,ffvc1vdpau,ffh264vdpau,ffodivxvdpau, <file>
Comment 3 Fedora End Of Life 2015-01-09 14:06:46 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Nicolas Dufresne 2015-01-09 14:09:58 EST
This is obsolete as it works fine now in Fedora 21.

cheers,
Nicolas
Comment 5 Fedora End Of Life 2015-02-17 11:22:26 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.